# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IArgumentInfoList

Packages that use IArgumentInfoList
Package
Description
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.scripts

## Uses of IArgumentInfoList in org.eclipse.birt.report.model.api.metadata

Classes in org.eclipse.birt.report.model.api.metadata that implement IArgumentInfoList
Modifier and Type
Class
Description
`class`
`ArgumentInfoList`
Represents an optional argument list of a method.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IArgumentInfoList
Modifier and Type
Method
Description
`Iterator<IArgumentInfoList>`
IMethodInfo.`argumentListIterator()`
Returns the iterator of argument definition.
`Iterator<IArgumentInfoList>`
MethodInfo.`argumentListIterator()`
Returns the iterator of argument definition.
Methods in org.eclipse.birt.report.model.api.metadata with parameters of type IArgumentInfoList
Modifier and Type
Method
Description
`protected void`
MethodInfo.`addArgumentList(IArgumentInfoList argumentList)`
Adds an optional argument list to the method information.

## Uses of IArgumentInfoList in org.eclipse.birt.report.model.api.scripts

Classes in org.eclipse.birt.report.model.api.scripts that implement IArgumentInfoList
Modifier and Type
Class
Description
`class`
`ArgumentInfoList`
Represents an optional argument list of a method.